Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class WindowGroup

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.WindowGroup

    public class WindowGroup

extends JsObject

An object that represents a group of `Window` instances and provides z-order management and window activation behavior.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`WindowGroup()` Create a new WindowGroup.
`WindowGroup(com.google.gwt.core.client.JavaScriptObject manager)`

Method Summary
`void` | `bringToFront(java.lang.String windowID)` Brings the specified window to the front of any other active windows.
`void` | `bringToFront(Window window)` Brings the specified window to the front of any other active windows.
`void` | `each(ComponentTraversalCallback cb)` Executes the specified function once for every window in the group, passing each window as the only parameter.
`Window[]` | `findBy(ComponentTraversalCallback cb)` Returns zero or more windows in the group using the custom search function passed to this method.
`Window` | `get(java.lang.String id)` Gets a registered window by id.
`Window` | `getActive()` Gets the currently-active window in the group.
`void` | `hideAll()` Hides all windows in the group.
`void` | `sendToBack(java.lang.String windowID)` Sends the specified window to the back of other active windows.
`void` | `sendToBack(Window window)` Sends the specified window to the back of other active windows.
`void` | `setZseed(int zseed)` The starting z-index for windows (defaults to 9000).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowGroup

    public WindowGroup()

  Create a new WindowGroup.

### WindowGroup

    public WindowGroup(com.google.gwt.core.client.JavaScriptObject manager)

Method Detail

### bringToFront

    public void bringToFront(java.lang.String windowID)

  Brings the specified window to the front of any other active windows.

  Parameters:
    `windowID` - the window ID

### bringToFront

    public void bringToFront(Window window)

  Brings the specified window to the front of any other active windows.

  Parameters:
    `window` - the window

### each

    public void each(ComponentTraversalCallback cb)

  Executes the specified function once for every window in the group, passing each window as the only parameter. Returning false from the function will stop the iteration.

  Parameters:
    `cb` - the traversal callback function

### get

    public Window get(java.lang.String id)

  Gets a registered window by id.

  Parameters:
    `id` - the window ID
  Returns:
    the window or null if not found

### getActive

    public Window getActive()

  Gets the currently-active window in the group.

  Returns:
    the window or null if not found

### findBy

    public Window[] findBy(ComponentTraversalCallback cb)

  Returns zero or more windows in the group using the custom search function passed to this method. The function should accept a single Ext.Window reference as its only argument and should return true if the window matches the search criteria, otherwise it should return false.

  Parameters:
    `cb` - the callback
  Returns:
    an array of windows

### hideAll

    public void hideAll()

  Hides all windows in the group.

### sendToBack

    public void sendToBack(java.lang.String windowID)

  Sends the specified window to the back of other active windows.

  Parameters:
    `windowID` - the window ID

### sendToBack

    public void sendToBack(Window window)

  Sends the specified window to the back of other active windows.

  Parameters:
    `window` - the window

### setZseed

    public void setZseed(int zseed)

  The starting z-index for windows (defaults to 9000).

  Parameters:
    `zseed` - the zseed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD